{% load activeurl i18n static breadcrumbs cacheops pwa notifications_tags %}

<a class="sidebar-brand" href="{% url 'home' %}">
    <img src="{% static 'my_adalia_id/images/logo.png' %}" style="width: 10em;">
</a>

{% if user.is_authenticated %}
<div class="sidebar-header">Quick Access</div>
<p></p>

<!-- Personal -->
<ul class="sidebar-nav">
    <li class="sidebar-item">
        <a data-target="#dashboards" data-toggle="collapse" class="sidebar-link collapsed">
            <i class="align-middle" data-feather="sliders"></i> <span class="align-middle"><i class="fas fa-user"></i>{{ user }}</span>
        </a>
        <ul id="dashboards" class="sidebar-dropdown list-unstyled collapse" data-parent="#sidebar">
            <li class="sidebar-item"><a class="sidebar-link" href="{% url 'user_dashboard' %}">{% translate 'My Dashboard' %}</a></li>
            <li class="sidebar-item"><a class="sidebar-link" href="{% url 'nfts:asset-list' 'INFA' 'personal' %}">{% translate "My Asteroids" %}</a></li>
            <li class="sidebar-item"><a class="sidebar-link" href="{% url 'nfts:asset-list' 'INFC' 'personal' %}">{% translate "My Crewmates" %}</a></li>
            <li class="sidebar-item"><a class="sidebar-link" href="#">{% translate 'My Currency (Coming Soon)' %}</a>
            </li>
        </ul>
    </li>
</ul>

<!-- Alliance -->
{% if user.allegiance %}
<ul class="sidebar-nav">
    <li class="sidebar-item">
        <a data-target="#alliance" data-toggle="collapse" class="sidebar-link collapsed">
            <i class="align-middle" data-feather="sliders"></i> <span class="align-middle"><i
                    class="fas fa-shield-alt"></i>{% translate 'Alliance' %}</span>
        </a>
        <ul id="alliance" class="sidebar-dropdown list-unstyled collapse" data-parent="#sidebar">

            <li class="sidebar-item"><a class="sidebar-link" href="#">{% translate 'Alliance Dashboard (Coming Soon)'%}</a></li>
            <li class="sidebar-item"><a class="sidebar-link" href="{% url 'nfts:asset-list' 'INFA' 'alliance_control' %}">{% translate "Controlled Asteroids" %}</a></li>
            <li class="sidebar-item"><a class="sidebar-link" href="{% url 'nfts:asset-list' 'INFC' 'alliance_control' %}">{% translate "Controlled Crewmates" %}</a></li>
            <li class="sidebar-item"><a class="sidebar-link" href="{% url 'organization_detail' user.allegiance.pk %}">{% translate "Membership Roster" %}</a></li>
        </ul>
    </li>
</ul>
{% endif %}

<!-- Asset Browsing -->
<ul class="sidebar-nav">
    <li class="sidebar-item">
        <a data-target="#assets" data-toggle="collapse" class="sidebar-link collapsed">
            <i class="align-middle" data-feather="sliders"></i> <span class="align-middle"><i class="fas fa-gem"></i>{% translate 'All Assets' %}</span>
        </a>
        <ul id="assets" class="sidebar-dropdown list-unstyled collapse" data-parent="#sidebar">
            <li class="sidebar-item"><a class="sidebar-link" href="{% url 'nfts:asset-list' 'INFA' %}">{% translate "Asteroids" %}</a></li>
            <li class="sidebar-item"><a class="sidebar-link" href="{% url 'nfts:asset-list' 'INFA' 'early_adopter' %}">{% translate "Asteroids (Early Adopter)" %}</a></li>
            <li class="sidebar-item"><a class="sidebar-link" href="{% url 'nfts:asset-list' 'INFC' %}">{% translate "Crewmates" %}</a></li>
            <li class="sidebar-item"><a class="sidebar-link" href="#">{% translate 'Ships (Coming Soon)' %}</a>
            </li>
        </ul>
    </li>
</ul>

<!-- Tools -->
<ul class="sidebar-nav">
    <li class="sidebar-item">
        <a data-target="#tools" data-toggle="collapse" class="sidebar-link collapsed">
            <i class="align-middle" data-feather="sliders"></i> <span class="align-middle"><i class="fas fa-tools"></i>{% translate 'Tools' %}</span>
        </a>
        <ul id="tools" class="sidebar-dropdown list-unstyled collapse" data-parent="#sidebar">
            <li class="sidebar-item"><a class="sidebar-link" href="https://materials.adalia.id/" target="_blank">{% translate "Raw Materials and Production" %}</a></li>
        </ul>
    </li>
</ul>

<ul class="sidebar-nav">
    <li class="sidebar-item">
        <a data-target="#resources" data-toggle="collapse" class="sidebar-link collapsed">
            <i class="align-middle" data-feather="sliders"></i> <span class="align-middle"><i
                    class="fas fa-laptop-code"></i>{% translate 'Site Resources' %}</span>
        </a>
    </li>
</ul>


<ul id="resources" class="sidebar-dropdown list-unstyled collapse" data-parent="#sidebar">
    <li class="sidebar-item"><a class="sidebar-link" href="https://discord.gg/kREeJTsa5D" target="_blank">{% translate 'Join our Discord' %}</a></li>
    <li class="sidebar-item"><a class="sidebar-link" href="{% url 'contributors' %}">{% translate 'adalia.id Contributors' %}</a></li>
    <li class="sidebar-item"><a class="sidebar-link" href="#">{% translate 'FAQs (Coming Soon)' %}</a></li>
    <li class="sidebar-item"><a class="sidebar-link" href="#">{% translate 'Community Partners (Coming Soon)' %}</a></li>
    <li class="sidebar-item"><a class="sidebar-link" href="#">{% blocktranslate %}Integrate Your Tool (Coming Soon){% endblocktranslate %}</a>
    </li>
</ul>

<ul class="sidebar-nav">
    <li class="sidebar-item">
        <a data-target="#links" data-toggle="collapse" class="sidebar-link collapsed">
            <i class="align-middle" data-feather="sliders"></i> <span class="align-middle"><i
                    class="fas fa-external-link-alt"></i>{% translate 'Other Links' %}</span>
        </a>
    </li>
</ul>
<ul id="links" class="sidebar-dropdown list-unstyled collapse" data-parent="#sidebar">
    <li class="sidebar-item"><a class="sidebar-link" href="https://game.influenceth.io" target="_blank">Influence Home</a></li>
    <li class="sidebar-item"><a class="sidebar-link" href="https://discord.gg/fhMN7C3JbK" target="_blank">Influence Discord</a></li>
    <li class="sidebar-item"><a class="sidebar-link" href="https://opensea.io" target="_blank">OpenSea</a></li>
    <li class="sidebar-item"><a class="sidebar-link" href="https://etherscan.io" target="_blank">EtherScan</a></li>
</ul>

<!--
                <div class="sidebar-header">Alliance</div>

                <ul id="sidebar-alliance" class="list-unstyled">
                    <li class="sidebar-item"><a class="sidebar-link" href="#">Roster</a></li>
                    <li class="sidebar-item"><a class="sidebar-link" href="#">Applications</a></li>
                </ul>
            -->

{% else %}

<ul class="sidebar-nav">
    <li class="sidebar-header">
        {% translate 'Quick Access' %}
    </li>

    <!-- Asset Browsing -->
    <li class="sidebar-item">
        <a data-target="#assets" data-toggle="collapse" class="sidebar-link collapsed">
            <i class="align-middle" data-feather="sliders"></i> <span class="align-middle"><i class="fas fa-gem"></i>{% translate 'All Assets' %}</span>
        </a>
        <ul id="assets" class="sidebar-dropdown list-unstyled collapse" data-parent="#sidebar">
            <li class="sidebar-item"><a class="sidebar-link" href="{% url 'nfts:asset-list' 'INFA' %}">{% translate "Asteroids" %}</a></li>
            <li class="sidebar-item"><a class="sidebar-link" href="{% url 'nfts:asset-list' 'INFA' 'early_adopter' %}">{% translate "Asteroids (Early Adopter)" %}</a></li>
            <li class="sidebar-item"><a class="sidebar-link" href="{% url 'nfts:asset-list' 'INFC' %}">{% translate "Crewmates" %}</a></li>
            <li class="sidebar-item"><a class="sidebar-link" href="#">{% translate 'Ships (Coming Soon)' %}</a>
            </li>
        </ul>
    </li>

    <!-- Tools -->
    <ul class="sidebar-nav">
        <li class="sidebar-item">
            <a data-target="#tools" data-toggle="collapse" class="sidebar-link collapsed">
                <i class="align-middle" data-feather="sliders"></i> <span class="align-middle"><i class="fas fa-tools"></i>{% translate 'Tools' %}</span>
            </a>
            <ul id="tools" class="sidebar-dropdown list-unstyled collapse" data-parent="#sidebar">
                <li class="sidebar-item"><a class="sidebar-link" href="https://materials.adalia.id/" target="_blank">{% translate "Raw Materials and Production" %}</a></li>
            </ul>
        </li>
    </ul>

    <li class="sidebar-item">
        <a data-target="#resources" data-toggle="collapse" class="sidebar-link collapsed">
            <i class="align-middle" data-feather="sliders"></i> <span class="align-middle"><i
                    class="fas fa-laptop-code"></i>{% translate 'Site Resources' %}</span>
        </a>
    </li>
    <ul id="resources" class="sidebar-dropdown list-unstyled collapse" data-parent="#sidebar">
        <li class="sidebar-item"><a class="sidebar-link" href="https://docs.adalia.id" target="_blank">{% translate 'FAQs' %}</a></li>
        <li class="sidebar-item"><a class="sidebar-link" href="https://discord.gg/kREeJTsa5D" target="_blank">{% translate 'Join our Discord' %}</a></li>
        <li class="sidebar-item"><a class="sidebar-link" href="{% url 'contributors' %}">{% translate 'adalia.id Contributors' %}</a></li>
        <li class="sidebar-item"><a class="sidebar-link" href="#">{% translate 'Community Partners (Coming Soon)' %}</a></li>
        <li class="sidebar-item"><a class="sidebar-link" href="#">{% blocktranslate %}Integrate Your Tool (Coming Soon){% endblocktranslate %}</a></li>
    </ul>

    <li class="sidebar-item">
        <a data-target="#apps" data-toggle="collapse" class="sidebar-link collapsed">
            <i class="align-middle" data-feather="sliders"></i> <span class="align-middle"><i class="fas fa-people-arrows"></i>{% translate 'External Apps' %}</span>
        </a>
        <ul id="apps" class="sidebar-dropdown list-unstyled collapse" data-parent="#sidebar">
            <li class="sidebar-item"><a class="sidebar-link" href="https://adalia.info" target="_blank">adalia.info</a>
            </li>
            <li class="sidebar-item"><a class="sidebar-link" href="https://www.influence-sales.space/"
                    target="_blank">influence-sales</a></li>
            <li class="sidebar-item"><a class="sidebar-link" href="https://tyrell-yutani.app/"
                    target="_blank">Tyrell-Yutani</a></li>
        </ul>
    </li>

    <li class="sidebar-item">
        <a data-target="#links" data-toggle="collapse" class="sidebar-link collapsed">
            <i class="align-middle" data-feather="sliders"></i> <span class="align-middle"><i
                    class="fas fa-external-link-alt"></i>{% translate 'Other Links' %}</span>
        </a>
    </li>
    <ul id="links" class="sidebar-dropdown list-unstyled collapse" data-parent="#sidebar">
        <li class="sidebar-item"><a class="sidebar-link" href="https://game.influenceth.io" target="_blank">Influence Home</a></li>
        <li class="sidebar-item"><a class="sidebar-link" href="https://discord.gg/fhMN7C3JbK" target="_blank">Influence Discord</a></li>
        <li class="sidebar-item"><a class="sidebar-link" href="https://opensea.io" target="_blank">OpenSea</a></li>
        <li class="sidebar-item"><a class="sidebar-link" href="https://etherscan.io" target="_blank">EtherScan</a></li>
    </ul>
</ul>

{% endif %}

<div class="sidebar-cta">
    <div class="sidebar-cta-content">
        <h4>{% translate 'adalia.id Discord:' %}</h4>
        <div class="mb-3 text-sm">
            <ul>
                <li>{% translate 'Unique role: Alpha Tester' %}</li>
                <li>{% translate 'View public roadmap' %}</li>
                <li>{% translate 'Submit bugs' %}</li>
                <li>{% translate 'Request features' %}</li>
                <li>{% translate 'Chat with the developers' %}</li>
            </ul>
        </div>
        <a class="btn btn-primary btn-block" href="https://discord.gg/kREeJTsa5D" target="_blank"><i class="fab fa-discord"></i>&nbsp;&nbsp;{% translate 'Join Now!' %}</a>
    </div>
</div>

<div class="sidebar-cta">
    <div class="sidebar-cta-content">
        <h3>{% translate 'Coming Soon:' %}</h3>
        <strong class="d-inline-block mb-2"><em>alliance</em>.adalia.id</strong>
        <div class="mb-3 text-sm">
            <ul>
                <li>{% translate 'Custom domain' %}</li>
                <li>{% translate 'Enhanced reporting' %}</li>
                <li>{% translate 'Membership management tools' %}</li>
                <li>{% translate 'The warm, fuzzy feeling of supporting the Influence community' %}</li>
                <li>{% translate 'More to be announced...' %}</li>
            </ul>
        </div>
    </div>
</div>
